#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-28SrttVHokiAGXXq39qSXf
key:                  persistent-test-2.0.3.5-28SrttVHokiAGXXq39qSXf
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  a82dc6f14f8bf8212b94d2bfcdbbc345
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-28SrttVHokiAGXXq39qSXf
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    QuickCheck-2.14.2-Lh8VkEO4dHjF00FJme2Z9G
    aeson-1.5.6.0-GONgLS6yTtf17t9dlS8fIx base-4.14.1.0
    blaze-html-0.9.1.2-keOkQgKx2RBxe2yLYEjDX bytestring-0.10.12.0
    conduit-1.3.4.1-DjARsxY03wZKokCcnW9ddh containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.9-5TM0FRiDbCLEHhAgc7Hsta
    hspec-expectations-0.8.2-4T2sv1DBBhWKyVScectlCn
    monad-control-1.0.2.3-6QjqIOHzKTSCWjqWou0AHk
    monad-logger-0.3.36-DjWHqKhDNAICywp7fxD9Ss mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.4-EBpheUO0vBG2mQnpoPlvDy
    persistent-template-2.9.1.0-7frcZFdmJbz4yGeI7BAOve
    quickcheck-instances-0.3.25.2-5aQl18PzfjiJcLqrnKZQMl
    random-1.2.0-BSJGCOLkQNv8Ash7mOrAOw
    resourcet-1.2.4.2-IRCGLbQj3ZT9CjWsUFe0eL text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-JTyh61qCbisE1Z31wdH8Ir
    unliftio-0.2.14-ELQreSwDM3V45UuRdTIMol
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

